MSHRINK(1)

NAME
mShrink - Re-size a FITS image

SYNOPSIS
mShrink [-f] [-d level] [-s statusfile] in.fits out.fits factor

DESCRIPTION
A utility for reducing the size of a FITS file, by averaging blocks of pixels.

OPTIONS

-f  Fixed-size flag - specify output size of image, instead of the size of blocks of pixels to be averaged

-d level
    Turns on debugging to the specified level (1-4).

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

in.fits
    Input FITS file

out.fits
    Path to output FITS file.

factor
    Size of blocks, in pixels, to average. File size will be reduced by 1/factor squared. If the -f (fixed-size) flag is used, factor is the desired width of the output image.

RESULT
[Normal mode]: FITS output image, reduced in size by a factor of (1/factor)^2 .

[Fixed-size mode]: FITS output image of width factor

MESSAGES

OK  [struct stat="OK"]

ERROR
    Cannot open status file: statusfile

ERROR
    Image size factor cannot be interpreted as an real number

ERROR
    Shrink factor factor cannot be interpreted as an real number

ERROR
    [struct stat="ERROR", msg=

ERROR
    Image file in.fits missing of inavlid FITS.

ERROR
    FITS library error

EXAMPLES

$ mShrink final/out.fits final/out-lowres_5.fits 5
    [struct stat="OK"]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.